# Class SmilesGenerator

java.lang.Object
org.jmol.smiles.SmilesGenerator

public class SmilesGenerator extends Object
Double bond, allene, square planar and tetrahedral stereochemistry only not octahedral or trigonal bipyramidal. No attempt at canonicalization -- unnecessary for model searching. see SmilesMatcher and package.html for details Bob Hanson, Jmol 12.0.RC17 2010.06.5

## Field Summary

Fields
Modifier and Type
Field
Description
`P3`
`polySmilesCenter`

## Constructor Summary

Constructors
Constructor
Description
`SmilesGenerator()`

## Method Summary

Modifier and Type
Method
Description
`protected static String`
`getRingKey(int i0, int i1)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### polySmilesCenter

public P3 polySmilesCenter

## Constructor Details

### SmilesGenerator

public SmilesGenerator()

## Method Details

### getRingKey

protected static String getRingKey(int i0, int i1)